#include "Engine.h"

#ifndef _FOOD_H
#define _FOOD_H

/* * *
 * This struct represents a single node a snake can eat.
 * * */
typedef struct Food_t {
	char vChar;			/* Character displayed to user. */
	int vGrow;			/* Value snake would grow by. */
	unsigned int yLoc;  /* Vertical coordinate (row). */
	unsigned int xLoc;  /* Horizontal coordinate (row). */
} Food_t;

/* * *
 * Create food on the heap memory at random location within board.
 * Return a pointer to food.
 * * */
Food_t* Food_Init(const Board* board);

/* * *
 * Draw the food in the board according to food's coordinate.
 * * */
void Food_Draw(const Board* board, Food_t* food);

#endif

